#pragma once

// Dodatni library-ji za wifi omoguciti.
#include <WiFi101.h>
#include <WiFiUdp.h>

// Pinovi ledica
// komentari sa clang-format linijom sluze kako automatsko
// spremanje u Visual Studio Code-u ne bi poremetilo stil s kojim sam napisao
// ledice za crveno i zeleno da mi bude lijepo jedan ispod drugoga).
// clang-format off
// int led_zeleno[3][3] = {{6,   1, A5}, 
//                         {7,  12, A3}, 
//                         { 9, 11, 13}};
int led_zeleno[3][3] = {{ 9,   7,  6}, 
                        {11,   12,  1}, 
                        {13, A3, A5}};
// int led_crveno[3][3] = {{ 5, 2, A6}, 
//                         { 8, 3, A4}, 
//                         {10, 4, 14}};
// Zarotirano da bude ispravan redoslijed na ploci
int led_crveno[3][3] = {{10,  8,  5}, 
                        { 4,  3,  2}, 
                        {14, A4, A6}};
// clang-format on

// Pin na kojem je buzzer
int buzzer = 0;

int igrac = 0;

// Ip adrese svih ploca
IPAddress ploca_A1(192, 168, 1, 116);
IPAddress ploca_A2(192, 168, 1, 163);
IPAddress ploca_A3(192, 168, 1, 101);
IPAddress ploca_A4(192, 168, 1, 142);

IPAddress moja_donja = ploca_A1;
IPAddress moja_gornja = ploca_A2;
IPAddress protivnicka_donja = ploca_A4;
IPAddress protivnicka_gornja = ploca_A3;