#pragma once

// Dodatni library-ji za wifi omoguciti.
#include <WiFi101.h>
#include <WiFiUdp.h>

// Pinovi ledica
// komentari sa clang-format linijom sluze kako automatsko
// spremanje u Visual Studio Code-u ne bi poremetilo stil s kojim sam napisao
// ledice za crveno i zeleno da mi bude lijepo jedan ispod drugoga).
// clang-format off
// int led_zeleno[3][3] = {{14, 8, 2}, 
//                         {12, 7, 1}, 
//                         {11, 6, 0}};
int led_zeleno[3][3] = {{11,  12, 14}, 
                        { 6,   7,  8}, 
                        { 0,   1,  2}};
// int led_crveno[3][3] = {{ 13, 9, 3}, 
//                         { A4, 10, 4}, 
//                         {A5, A6, 5}};
// Zarotirano da bude ispravan redoslijed na ploci
int led_crveno[3][3] = {{A5, A4, 13}, 
                        {A6, 10,  9}, 
                        { 5,  4, 3}};
// clang-format on

int igrac = 1;

// Pin na kojem je buzzer
int buzzer = A3;

// Ip adrese svih ploca
IPAddress ploca_A1(192, 168, 1, 116);
IPAddress ploca_A2(192, 168, 1, 163);
IPAddress ploca_A3(192, 168, 1, 101);
IPAddress ploca_A4(192, 168, 1, 142);

IPAddress moja_donja = ploca_A4;
IPAddress moja_gornja = ploca_A3;
IPAddress protivnicka_donja = ploca_A1;
IPAddress protivnicka_gornja = ploca_A2;